# {{ documentName }} Documentation

> **Date**:  *{{ time }}*

---
{% for comment in allComment %}
### `{{ comment.type }}` {{ comment.name }}
*[{{ comment.from }}]({{comment.from}}.html#{{lineNumber}})*

{{ comment.directions }}
{% if comment.param? %}
**arguments**
{% for i in comment.param %}
- `{{ i.type }}` **{{ i.name }}** {{ i.directions }}{% endfor %}
{% endif %}{% if comment.return? %}
**return**

- `{{ comment.return.type }}` {{ comment.return.directions }}
{% endif %}{% if comment.usecases.length? %}
**useCases**
{% for usecase in comment.usecases %}
- {{ usecase }}{% endfor %}
{% endif %}
---
{% endfor %}